GraphiQL open_in_new

# `Deployment`

Represents triggered deployment instance.

## GraphQL Schema definition `

- type Deployment implements Node {
- # Identifies the commit sha of the deployment.
- commit: Commit!
- # Identifies the date and time when the object was created.
- createdAt: DateTime!
- # Identifies the user who triggered the deployment.
- creator: User!
- id: ID!
- # Identifies the repository associated with the deployment.
- repository: Repository!
- # A list of statuses associated with the deployment.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- statuses(first: Int, after: String, last: Int, before: String): DeploymentStatusConnection
- }

`